4
5 7
CXXXXCC
XCCCXXX
XXXXXXC
CXCCXXX
XCXXXCX
4 4
XXXX
CCCC
XXXX
CCCC
20 30
CXCXCXCXCCCXCCXCXCXCXCXCXCXCXC
XXXXXXXXXXXXXXXCCCCCCCCCCCCCCC
CXCXCXCXCXCXCXCXCXCCXCXCXCXCXC
XXXXXXXXXCCCCCCCCCCXXXXXXCCCCC
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCX
CXCXCXCXCCCXCCXCXCXCXCXCXCXCXC
XXXXXXXXXXXXXXXCCCCCCCCCCCCCCC
CXCXCXCXCXCXCXCXCXCCXCXCXCXCXC
XXXXXXXXXCCCCCCCCCCXXXXXXCCCCC
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCX
XXXCCCCCCXXXXXXXXXCCCCCCCXCCXC
XXXCCCCCXCXCXCXCCXCXCXCXCCXCXC
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCX
CXCXCXCXCCCXCCXCXCXCXCXCXCXCXC
XXXXXXXXXXXXXXXCCCCCCCCCCCCCCC
CXCXCXCXCXCXCXCXCXCCXCXCXCXCXC
XXXXXXXXXCCCCCCCCCCXXXXXXCCCCC
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCX
XXXCCCCCCXXXXXXXXXCCCCCCCXCCXC
XXXCCCCCXCXCXCXCCXCXCXCXCCXCXC
45 45
CXCXCXCXCCCXCCXCXCXCXCXCXCXCXCXCXCXCXCXCXCXCX
XXXXXXXXXXXXXXXCCCCCCCCCCCCCCCXXXXXXXXXXCCCCC
CXCXCXCXCXCXCXCXCXCCXCXCXCXCXCCCCCCCXXXXXCXCX
XXXXXXXXXCCCCCCCCCCXXXXXXCCCCCCXCXCXCCCXXCXCX
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCXXXXCCXCXCXXCCXC
CXCXCXCXCCCXCCXCXCXCXCXCXCXCXCXXXCCXCXCXCXCXC
XXXXXXXXXXXXXXXCCCCCCCCCCCCCCCXXCXCXCXCXCXCXC
CXCXCXCXCXCXCXCXCXCCXCXCXCXCXCXXXXXXXXXXXXXXX
XXXXXXXXXCCCCCCCCCCXXXXXXCCCCCXXXXXXXXXXCCCCC
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCXXXXXXXXXXCCCCCC
XXXCCCCCCXXXXXXXXXCCCCCCCXCCXCCCCCCCCCXXXXXCC
XXXCCCCCXCXCXCXCCXCXCXCXCCXCXCXXXXXXXXXCXXXXX
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCXXXXXXXXXXCCCCCC
CXCXCXCXCCCXCCXCXCXCXCXCXCXCXCCCCCCCCCCCXXXXX
XXXXXXXXXXXXXXXCCCCCCCCCCCCCCCCXXXXXXXCXXXXXX
CXCXCXCXCXCXCXCXCXCCXCXCXCXCXCXXXXXXXXXXXXXXX
XXXXXXXXXCCCCCCCCCCXXXXXXCCCCCXXXXXXXXXCCCCCC
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCXCCCCXXXXXXXXCCC
XXXCCCCCCXXXXXXXXXCCCCCCCXCCXCXCCCCCCCCCCCCXX
XXXCCCCCXCXCXCXCCXCXCXCXCCXCXCXXXXXXXXXXXCCCC
CXCXCXCXCCCXCCXCXCXCXCXCXCXCXCXCXCXCXCXCXCXCX
XXXXXXXXXXXXXXXCCCCCCCCCCCCCCCXXXXXXXXXXCCCCC
CXCXCXCXCXCXCXCXCXCCXCXCXCXCXCCCCCCCXXXXXCXCX
XXXXXXXXXCCCCCCCCCCXXXXXXCCCCCCXCXCXCCCXXCXCX
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCXXXXCCXCXCXXCCXC
CXCXCXCXCCCXCCXCXCXCXCXCXCXCXCXXXCCXCXCXCXCXC
XXXXXXXXXXXXXXXCCCCCCCCCCCCCCCXXCXCXCXCXCXCXC
CXCXCXCXCXCXCXCXCXCCXCXCXCXCXCXXXXXXXXXXXXXXX
XXXXXXXXXCCCCCCCCCCXXXXXXCCCCCXXXXXXXXXXCCCCC
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCXXXXXXXXXXCCCCCC
XXXCCCCCCXXXXXXXXXCCCCCCCXCCXCCCCCCCCCXXXXXCC
XXXCCCCCXCXCXCXCCXCXCXCXCCXCXCXXXXXXXXXCXXXXX
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCXXXXXXXXXXCCCCCC
CXCXCXCXCCCXCCXCXCXCXCXCXCXCXCCCCCCCCCCCXXXXX
XXXXXXXXXXXXXXXCCCCCCCCCCCCCCCCXXXXXXXCXXXXXX
CXCXCXCXCXCXCXCXCXCCXCXCXCXCXCXXXXXXXXXXXXXXX
XXXXXXXXXCCCCCCCCCCXXXXXXCCCCCXXXXXXXXXCCCCCC
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCXCCCCXXXXXXXXCCC
XXXCCCCCCXXXXXXXXXCCCCCCCXCCXCXCCCCCCCCCCCCXX
XXXCCCCCXCXCXCXCCXCXCXCXCCXCXCXXXXXXXXXXXCCCC
XXXXXXXXXCCCCCCCCCCXXXXXXCCCCCCXCXCXCCCXXCXCX
CXXXXXXXXXCCCCCCCCCCCXXXXXXCCXXXXCCXCXCXXCCXC
CXCXCXCXCCCXCCXCXCXCXCXCXCXCXCXXXCCXCXCXCXCXC
XXXXXXXXXXXXXXXCCCCCCCCCCCCCCCXXCXCXCXCXCXCXC
CXCXCXCXCXCXCXCXCXCCXCXCXCXCXCXXXXXXXXXXXXXXX
